# Uses of Class
javafx.scene.layout.BackgroundPosition

Packages that use BackgroundPosition
Package
Description
javafx.scene.layout
Provides classes to support user interface layout.

## Uses of BackgroundPosition in javafx.scene.layout

Fields in javafx.scene.layout declared as BackgroundPosition
Modifier and Type
Field
Description
`static final BackgroundPosition`
BackgroundPosition.`CENTER`
A BackgroundPosition which will center a BackgroundImage.
`static final BackgroundPosition`
BackgroundPosition.`DEFAULT`
The default BackgroundPosition for any BackgroundImage.
Methods in javafx.scene.layout that return BackgroundPosition
Modifier and Type
Method
Description
`final BackgroundPosition`
BackgroundImage.`getPosition()`
The position of this BackgroundImage relative to the Region.
Constructors in javafx.scene.layout with parameters of type BackgroundPosition
Modifier
Constructor
Description
``
`BackgroundImage(Image image, BackgroundRepeat repeatX, BackgroundRepeat repeatY, BackgroundPosition position, BackgroundSize size)`
Creates a new BackgroundImage.